%define name	brilltagger
%define version	1.14
%define tag	1_14
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Rule based tagger
Source:		http://www.cs.jhu.edu/~brill/RBT%{tag}.tar.bz2
Patch0:		%{name}.makefile.patch.bz2
Patch1:		%{name}.no-hardcoded-path-check.patch.bz2
URL:		http://www.cs.jhu.edu/~brill/
License:	MIT
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This packages needs a description.

%prep
%setup -q -n RULE_BASED_TAGGER_V%{version}
%patch0
%patch1
mkdir Bin

%build
export CFLAGS=$RPM_OPT_FLAGS
%make

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 Bin/* $RPM_BUILD_ROOT%{_bindir}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 Bin_and_Data/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Docs README COPYRIGHT
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Thu Jul 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.14-3mdk 
- rpmbuilupdate aware

* Fri Jan 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.14-2mdk
- fix stupid check for other binaries

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.14-1mdk
- first mdk release
